[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# GetFixupInstanceNames

Returns the names of elements that need to be resolved for the root component, whose reference contains ReferenceRootName

## Declaration

Source position: classesh.inc line 2049

`procedure GetFixupInstanceNames(`
`Root: TComponent;`
`const ReferenceRootName: string;`
`Names: TStrings`
`);`

## Description

GetFixupInstanceNames examines the list of unresolved references and returns the names of classes that contain unresolved references to the Root component in the list Names. The list is not cleared prior to filling it.

## See also

GetFixupReferenceNames |  | Returns the names of elements that need to be resolved for the root component.
GlobalFixupReferences |  | Called to resolve unresolved references after forms are loaded.

Documentation generated on: Feb 26 2014